# MRUCache (ARX Developer Documentation)

org.deidentifier.arx.framework.check.history

## Class MRUCache<T>

- java.lang.Object
- - org.deidentifier.arx.framework.check.history.MRUCache<T>

- Type Parameters:
    `T` - the generic type

      public class MRUCache<T>
      extends java.lang.Object

  The Class MRUCache.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MRUCache.MRULinkedListIterator` The Class MRULinkedListIterator.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MRUCache(int size)` Instantiates a new mRU cache.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(T node)` Append.
    `void` | `clear()` Clear.
    `MRUCacheEntry<T>` | `getHead()` Gets the first.
    `java.util.Iterator<T>` | `iterator()` Iterator.
    `T` | `removeHead()` Removes the head.
    `int` | `size()` Size.
    `void` | `touch(T node)` Touch.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MRUCache

          public MRUCache(int size)

      Instantiates a new mRU cache.
      Parameters:
        `size` - the size

  - ### Method Detail

    - #### append

          public void append(T node)

      Append.
      Parameters:
        `node` - the node

    - #### clear

          public void clear()

      Clear.

    - #### getHead

          public MRUCacheEntry<T> getHead()

      Gets the first.
      Returns:
        the first

    - #### iterator

          public java.util.Iterator<T> iterator()

      Iterator.
      Returns:
        the iterator

    - #### removeHead

          public T removeHead()

      Removes the head.
      Returns:
        the t

    - #### size

          public int size()

      Size.
      Returns:
        the int

    - #### touch

          public void touch(T node)

      Touch.
      Parameters:
        `node` - the node